import 'package:get/get.dart';
import 'package:injectable/injectable.dart';
import '../../../../base/base_controller.dart';
import '../../../../utils/atmob_log.dart';
import '../../../../utils/url_launcher_util.dart';

/// 键盘教程页-视频引导页-iOS平台-Controller
@injectable
class KeyboardTutorialVideoIosViewController extends BaseController {
  final String _tag = "KeyboardTutorialVideoIosViewController";

  /// 返回
  void clickBack() {
    Get.back();
  }

  /// 去开启键盘
  void goEnableKeyboard() async {
    bool result = await UrlLauncherUtil.openIosSystemKeyboardPage();
    if (result) {
      AtmobLog.d(_tag, "打开iOS系统键盘设置页 => 成功");
    } else {
      AtmobLog.d(_tag, "打开iOS系统键盘设置页 => 失败");
    }
  }
}
